%define oname   pairing_heap

Name:       ruby-%{oname}
Version:    3.1.0
Release:    %mkrel 1
Summary:    PairingHeap is a pure Ruby priority queue implementation using a pairing heap as the underlying data structure
Group:      Development/Ruby
License:    MIT
URL:        https://github.com/mhib/%{oname}
Source0:    https://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
PairingHeap is a pure Ruby priority queue implementation using a pairing heap as the underlying data structure

%files
%{gem_instdir}/
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}

#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install



%changelog
* Mon Apr 08 2024 pterjan <pterjan> 3.1.0-1.mga10
+ Revision: 2055683
- Update to 3.1.0

* Sat Jul 01 2023 bcornec <bcornec> 3.0.1-1.mga9
+ Revision: 1963396
- Upload ruby-pairing_heap as a dep for vagrant 2.3.7 support
- Created package structure for ruby-pairing_heap.

